.all-games {
}

.games-title {
	justify-self: center;
	width: fit-content;
	font-size: 64px;
	transition: text-shadow 0.1s;
	text-shadow: 0px 0px 15px gray;
	animation-name: rainbow;
	animation-duration: 8s;
	animation-iteration-count: infinite;
}
	.games-title:hover {
		text-shadow: 0px 0px 60px gray;
	}

@keyframes rainbow {
	0% {
		color: red;
		rotate: 5deg;
	}

	12.5% {
		color: orange;
	}

	25% {
		color: yellow;
	}

	37.5% {
		color: greenyellow;
	}

	50% {
		color: limegreen;
		rotate: -5deg;
	}

	62.5% {
		color: cyan;
	}

	75% {
		color: mediumpurple;
	}

	87.5% {
		color: hotpink;
	}

	100% {
		color: red;
		rotate: 5deg;
	}
}

.washening-placeholder {
	width: 640px;
	height: 360px;
	align-self: center;
	aspect-ratio: 16/9;
	border-radius: 10px;
	border-width: 5px;
	border-style: solid;
	border-color: transparent;
	background-size: cover;
	background-image: url("/images/washeningpreview.png");
	transition: border-color 0.1s;
}
	.washening-placeholder:hover {
		border-color: white;
	}

.candydrop-placeholder {
	width: 640px;
	height: 360px;
	align-self: center;
	aspect-ratio: 16/9;
	border-radius: 10px;
	border-width: 5px;
	border-style: solid;
	border-color: transparent;
	background-size: cover;
	background-image: url("/images/candydroppreview.png");
	transition: border-color 0.1s;
}
	.candydrop-placeholder:hover {
		border-color: white;
	}

.game-iframe-widescreen {
	width: 640px;
	height: 360px;
	align-self: center;
	aspect-ratio: 16/9;
	background-color: transparent;
	border-radius: 10px;
}

.game-iframe-custom {
	min-width: 410px;
	align-self: center;
	background-color: transparent;
	border-radius: 10px;
}